CRAN Package Check Results for Package rchallenge

Last updated on 2019-09-21 00:52:50 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.3.0 3.27 29.96 33.23 OK
r-devel-linux-x86_64-debian-gcc 1.3.0 2.59 24.33 26.92 OK
r-devel-linux-x86_64-fedora-clang 1.3.0 40.86 OK
r-devel-linux-x86_64-fedora-gcc 1.3.0 42.35 OK
r-devel-windows-ix86+x86_64 1.3.0 12.00 61.00 73.00 OK
r-patched-linux-x86_64 1.3.0 2.32 29.41 31.73 OK
r-patched-solaris-x86 1.3.0 55.70 ERROR
r-release-linux-x86_64 1.3.0 2.70 29.92 32.62 OK
r-release-windows-ix86+x86_64 1.3.0 8.00 58.00 66.00 OK
r-release-osx-x86_64 1.3.0 ERROR
r-oldrel-windows-ix86+x86_64 1.3.0 4.00 46.00 50.00 OK
r-oldrel-osx-x86_64 1.3.0 ERROR

Check Details

Version: 1.3.0
Check: examples
Result: ERROR
    Running examples in ‘rchallenge-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: icon
    > ### Title: HTML code for icons. Currently only supports Font Awesome icons.
    > ### Aliases: icon
    >
    > ### ** Examples
    >
    > rmd <- '
    + ```{r}
    + library(rchallenge)
    + ```
    + <link rel="stylesheet"
    + href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css">
    + `r icon("fa-user")`
    + `r icon("fa-user fa-lg")`
    + `r icon("fa-user fa-2x")`
    + `r icon("fa-user fa-3x")`
    + `r icon("fa-user fa-3x fa-border")`
    + '
    > file <- tempfile()
    > cat(rmd, file=file)
    > writeLines(readLines(file))
    
    ```{r}
    library(rchallenge)
    ```
    <link rel="stylesheet"
     href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css">
    `r icon("fa-user")`
    `r icon("fa-user fa-lg")`
    `r icon("fa-user fa-2x")`
    `r icon("fa-user fa-3x")`
    `r icon("fa-user fa-3x fa-border")`
    > rmarkdown::render(file)
    Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64